igeo.io

## Class IObjFileImporter.Surface.Data

- java.lang.Object
- - igeo.io.IObjFileImporter.EntityData
  - - igeo.io.IObjFileImporter.ParametricGeometryData
    - - igeo.io.IObjFileImporter.Surface.Data

- Enclosing class:
    IObjFileImporter.Surface

      public class IObjFileImporter.Surface.Data
      extends IObjFileImporter.ParametricGeometryData

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IObjFileImporter.Degree.Data` | `degree`
    `java.util.ArrayList<IObjFileImporter.InnerTrimmingLoop.Data>` | `innerTrimmingLoops`
    `java.util.ArrayList<IObjFileImporter.OuterTrimmingLoop.Data>` | `outerTrimmingLoops`
    `java.util.ArrayList<IObjFileImporter.TextureVertex.Data>` | `textureVertices`
    `double` | `u0`
    `double` | `u1`
    `IObjFileImporter.Parameter.Data` | `uknots`
    `double` | `v0`
    `double` | `v1`
    `java.util.ArrayList<IObjFileImporter.VertexNormal.Data>` | `vertexNormals`
    `java.util.ArrayList<IObjFileImporter.GeometricVertex.Data>` | `vertices`
    `IObjFileImporter.Parameter.Data` | `vknots`

    - ### Fields inherited from class igeo.io.IObjFileImporter.ParametricGeometryData

      `group`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Data()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `instantiate()`
    `void` | `setDegree(IObjFileImporter.Degree.Data d)`
    `void` | `setInnerTrimmingLoop(IObjFileImporter.InnerTrimmingLoop.Data d)`
    `void` | `setKnots(IObjFileImporter.Parameter.Data d)`
    `void` | `setOuterTrimmingLoop(IObjFileImporter.OuterTrimmingLoop.Data d)`

    - ### Methods inherited from class igeo.io.IObjFileImporter.ParametricGeometryData

      `addToGroup, setGroup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### u0

          public double u0

    - #### u1

          public double u1

    - #### v0

          public double v0

    - #### v1

          public double v1

    - #### vertices

          public java.util.ArrayList<IObjFileImporter.GeometricVertex.Data> vertices

    - #### textureVertices

          public java.util.ArrayList<IObjFileImporter.TextureVertex.Data> textureVertices

    - #### vertexNormals

          public java.util.ArrayList<IObjFileImporter.VertexNormal.Data> vertexNormals

    - #### degree

          public IObjFileImporter.Degree.Data degree

    - #### uknots

          public IObjFileImporter.Parameter.Data uknots

    - #### vknots

          public IObjFileImporter.Parameter.Data vknots

    - #### outerTrimmingLoops

          public java.util.ArrayList<IObjFileImporter.OuterTrimmingLoop.Data> outerTrimmingLoops

    - #### innerTrimmingLoops

          public java.util.ArrayList<IObjFileImporter.InnerTrimmingLoop.Data> innerTrimmingLoops

  - ### Constructor Detail

    - #### Data

          public Data()

  - ### Method Detail

    - #### setDegree

          public void setDegree(IObjFileImporter.Degree.Data d)

      Overrides:
        `setDegree` in class `IObjFileImporter.ParametricGeometryData`

    - #### setKnots

          public void setKnots(IObjFileImporter.Parameter.Data d)

      Overrides:
        `setKnots` in class `IObjFileImporter.ParametricGeometryData`

    - #### setOuterTrimmingLoop

          public void setOuterTrimmingLoop(IObjFileImporter.OuterTrimmingLoop.Data d)

    - #### setInnerTrimmingLoop

          public void setInnerTrimmingLoop(IObjFileImporter.InnerTrimmingLoop.Data d)

    - #### instantiate

          public void instantiate()

      Overrides:
        `instantiate` in class `IObjFileImporter.ParametricGeometryData`